Subject: RE: environment question: gdb and PWD
From: "Craveiro, Marco" <[email-masked]>
To: "'Corinna Vinschen'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 20 Apr 2001 10:09:32 +0200

hello Corinna,

thanks for your help. this is probably a newbie related problem... It
appears it is to do with where I start gdb from: if I do it from bash it
gives me all the environment variables, if I do it from emacs - with emacs
starting from bash - PWD and a few others are missing but some are there.
I'm using NT emacs. 

Marco

> -----Original Message-----
> From:	Corinna Vinschen [SMTP:[email-masked]]
> Sent:	Thursday, April 19, 2001 3:26 PM
> To:	[email-masked]'
> Subject:	Re: environment question: gdb and PWD
> 
> On Thu, Apr 19, 2001 at 02:46:18PM +0200, Craveiro, Marco wrote:
> > Hello,
> > 
> > forgive me if the question is dumb, but I could not find any info in the
> > info pages for gdb and I am not sure
> > if this is a cygwin behaviour or a gdb thing. Question is, when I do a
> "show
> > env" in gdb I do not get the
> > PWD variable. Since my program uses getenv it crashes when I debug it
> > (unless I set PWD manually). 
> > Is there a way of starting gdb so that it inherits PWD? 
> 
> I can't reproduce your problem. Regardless of starting gdb w/ or
> w/o GUI, it always has PWD in it's environment. Are you using the
> latest gdb for Cygwin?
> 
> Corinna
> 
> -- 
> Corinna Vinschen                  Please, send mails regarding Cygwin to
> Cygwin Developer                                mailto:[email-masked]
> Red Hat, Inc.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple